/**
 * Copyright 2009 Pierrick HYMBERT.
 * Les sources qui constituent ce projet, HyPik-Soma-Cube, 
 * de mme que la documentation associe sont la proprit
 * de leur auteur.
 * Je donne mon accord au site developpez.com pour l'utili-
 * sation de tout ou partie des sources et de la documenta-
 * tion de ce projet dans les pages developpez.com
 */
package fr.hypik.developpez.defis.soma.core.exception;

/**
 * Exception leve lorsque le puzzle ne comporte pas de solutin
 * @author Pierrick HYMBERT
 *
 */
public class PuzzleInvalideException extends Exception {
	
	/**
	 * 
	 * @param message
	 */
	public PuzzleInvalideException() {
		super();
	}
	
	/**
	 * 
	 * @param message
	 */
	public PuzzleInvalideException(String message) {
		super(message);
	}

	/**
	 * Serialisation oblige :P
	 */
	private static final long serialVersionUID = -850833641216410108L;

}
