/**
 * Copyright 2009 Pierrick HYMBERT.
 * Les sources qui constituent ce projet, HyPik-Soma-Cube, 
 * de mme que la documentation associe sont la proprit
 * de leur auteur.
 * Je donne mon accord au site developpez.com pour l'utili-
 * sation de tout ou partie des sources et de la documenta-
 * tion de ce projet dans les pages developpez.com
 */
package fr.hypik.developpez.defis.soma.core.listener;

import fr.hypik.developpez.defis.soma.core.model.Piece;

/**
 * Ecoute l'avancement du moteur de resolution
 * @author Pierrick HYMBERT
 *
 */
public interface ISomaEngineProgressListener {
	/**
	 * Avertit le listener qu'une solution a t trouvee
	 * @param solution La solution trouvee
	 * @param puzzle La puzzle resolu
	 */
	public void solutionTrouvee(Piece[] solution, Piece puzzle);
}
