REM Ce script install les librairies java 3D dans le repository locale maven

REM L'emplacement de la JDK
set JAVA_HOME=E:\Program Files\Java\jdk1.5.0_16

REM The maven version (there is problem with 2.2.0 to access web via proxy )
set M2_VERSION=2.1.0

REM Maven Home
set M2_HOME=E:\Program Files\apache-maven-%M2_VERSION%

REM Maven default options
set MAVEN_OPTS=-Xms40m -Xmx1024m

REM Add the path to the local path
set PATH=%M2_HOME%\bin;%PATH%

REM Maven Home
set J3D_LIB=lib\java3d-1.5.1

REM Java 3D vecmath
mvn install:install-file -Dfile=%J3D_LIB%\vecmath.jar -DgroupId=java3d -DartifactId=vecmath -Dversion=1.5.1 -Dpackaging=jar -DgeneratePom=true

REM Install Java 3D core
mvn install:install-file -Dfile=%J3D_LIB%\j3dcore.jar -DgroupId=java3d -DartifactId=j3d-core -Dversion=1.5.1 -Dpackaging=jar -DgeneratePom=true

REM Install Java 3D utils
mvn install:install-file -Dfile=%J3D_LIB%\j3dutils.jar -DgroupId=java3d -DartifactId=j3d-core-utils -Dversion=1.5.1 -Dpackaging=jar -DgeneratePom=true

REM Install Java 3D Win32 native library
mvn install:install-file -Dfile=%J3D_LIB%\j3d-win32.jar -DgroupId=java3d -DartifactId=j3d-win32 -Dversion=1.5.1 -Dpackaging=jar -DgeneratePom=true
